Subject: bug#33066: closed (Re: bug#33066: [PATCH 0/2] Workaround rust reproducibility issues)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Feb 2021 15:01:02 +0000

Your bug report

#33066: [PATCH 0/2] Workaround rust reproducibility issues

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33066: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33066
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33066: [PATCH 0/2] Workaround rust reproducibility issues
From: Maxim Cournoyer <[email-masked]>
To: Danny Milosavljevic <[email-masked]>
Cc: Nikolai Merinov <[email-masked]>, [email-masked]
Date: Fri, 05 Feb 2021 10:00:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Danny Milosavljevic <[email-masked]> writes:

> Hi Nikolai,
>
> On Fri, 26 Oct 2018 16:40:34 +0500
> Nikolai Merinov <[email-masked]> wrote:
>
>> Unfortunately I'll be not able to return to this reproducibility
>> investigation for a while. So currently I can suggest to merge changes
>> without rust 1.29 to have reproducible chain from 1.23 to 1.28.
>
> I did so now.
>
> Thanks for the hard work!

I'm closing this; the work to bootstrap using mrustc 0.9 to start from
rust 1.29.2 has been merged to core-updates; it brought many changes.

Thank you,

Maxim

Subject: [PATCH 0/2] Workaround rust reproducibility issues
From: Nikolai Merinov <[email-masked]>
To: [email-masked]
Date: Tue, 16 Oct 2018 23:00:14 +0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I prepared patches for Rust packages.

First patch move rust 1.25-1.27 packages back to llvm 3.9.1. I spend much time
tring to find root of non-reproducibility in this releases, but I did not
succeeded. So as easiest solution I suggest just keep old LLVM for this
packages. Drawback of this solution is impossibility to use
"#[target_feature]" will not work for this releases.

Second patch have new 1.28.0, 1.29.1 rust packages. They was reproducible in
my local tests with llvm 6.0.1, so this packages was switched to new LLVM.

Please, note: I tested packages with suggested changes only from
https://github.com/mnd/guix-mnd-pkgs/ repository. Full build chain
reproducibility test with exactly submitted patches currently in progress on
my laptop, but it can take another one or two days.

Regards,
Nikolai

Nikolai Merinov (2):
  gnu: rust: workaround rust 1.25-27 reproducibility issues
  gnu: rust: add rust 1.28 and rust 1.29 packages

 gnu/local.mk                                  |  1 +
 ...ible-builds-by-forcing-window.search.patch | 28 +++++++
 gnu/packages/rust.scm                         | 76 +++++++++++++------
 3 files changed, 81 insertions(+), 24 deletions(-)
 create mode 100644 gnu/packages/patches/rust-mdbook-Support-reproducible-builds-by-forcing-window.search.patch

-- 
2.19.0